質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.34%

  • Ruby

    8183questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Solaris

    9questions

    Solarisは、SunSoft社が開発・販売を行っているUnix系のOSです。Sun Microsystems社製コンピュータで動作し、またPC/AT互換機で動作するバージョンもあります。旧名称は「SunOS」ですが、現在はSolarisのカーネル部分をSunOSと呼んでいます。

[初歩的質問]Solaris10へFluentdのインストール失敗

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 441

環境情報

・OS:Solaris10
・Ruby:1.9.3(ソースでインストール)
・Yaml:0.1.7(ソースでインストール)
・Fluentd:0.12.33(gem経由でインストール)
・備考:対象サーバはローカルネットワーク

実現したいこと

対象のサーバにFluentをインストール&動作検証

発生している問題・エラーメッセージ

gemコマンド経由でFluentをインストールしようとすると以下MSGが出力

 /usr/local/ruby-1.9.3/bin/gem install --local fluentd fluentd-0.13.33.gem
/usr/local/ruby-1.9.3/lib/ruby/1.9.1/yaml.rb:84:in `<top (required)>`:
It seems your ruby installation is missing psych (for YAML output)
To eliminate this warning, please install libyaml and reinstall your ruby.
Building native extensions. This could take a while...
・・・
linking shared-object yajl/yajl.so
ld: 重大なエラー: relocation error: R_386_GOTOFF: file yajl_encode.0: symbol
yajl_buf_append: a GOT relative relocation must reference a local symbol
collect2: ld returned 1 exit status
*** Error Code 1
The following command caused the error:
・・・
make: Fatal error: Command failed for target `yajl.so`

試したこと

libyamlがインストールされていないとMSG出力されているので、以下URLを参考に
Ruby、及びlibyamlをソースからインストール。その後、gemでfluentdの
インストールを試みたが結果変わらずでした。
■URL:http://tech.tmd45.jp/entry/2013/07/03/182414

もし同じ境遇、原因がお分かりの方、知恵をお貸しください!!!

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

いま参考にされているサイトより、Solaris10へのインストールの場合だったら、下記のサイトのほうが参考になりませんか?

Fluentd on Solaris 10/11

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

同じタグがついた質問を見る

  • Ruby

    8183questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Solaris

    9questions

    Solarisは、SunSoft社が開発・販売を行っているUnix系のOSです。Sun Microsystems社製コンピュータで動作し、またPC/AT互換機で動作するバージョンもあります。旧名称は「SunOS」ですが、現在はSolarisのカーネル部分をSunOSと呼んでいます。